use app::App;
use winit::event_loop::{ControlFlow, EventLoop};

pub mod app;
pub mod camera;
pub mod controller;
pub mod spotlight;
pub mod state;
pub mod texture;
pub mod vertex;

pub fn capture() -> anyhow::Result<()> {
	let event_loop = EventLoop::new()?;
	event_loop.set_control_flow(ControlFlow::Wait);

	let mut app = App::default();

	Ok(event_loop.run_app(&mut app)?)
}

pub fn ease_in_out_cubic(x: f32) -> f32 {
	if x < 0.5 {
		4.0 * x * x * x
	}
	else {
		1.0 - (-2.0 * x + 2.0).powf(3.0) / 2.0
	}
}
